Page MenuHomePhabricator

cloudvps: osmit project trusty deprecation
Closed, ResolvedPublic

Description

Ubuntu Trusty is no longer available in Cloud VPS since Nov 2017 for new instances. However, the EOL of Trusty is approaching in 2019 and we need to move to Debian Stretch before that date.

All instances in the osmit project needs to upgrade as soon as possible.

The list of affected VMs is:

  • osmit-due.osmit.eqiad.wmflabs
  • osmit-tre.osmit.eqiad.wmflabs
  • osm-serv.osmit.eqiad.wmflabs

Listed administrator are:

More info in openstack browser: https://tools.wmflabs.org/openstack-browser/project/osmit

Event Timeline

aborrero triaged this task as Medium priority.Sep 17 2018, 1:15 PM
aborrero created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2018, 1:15 PM

Hey @akosiaris @Cortesi @Geofrizz @Nemo_bis @Sabas88 @Sbiribizio! Just a friendly reminder that you should get rid of your Trusty instances as described in https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation#Cloud_VPS_projects. The deadline is 2018-12-18. Please get in contact if you need help. Also please assign this task to an individual.

Another ping. Deadline is approaching next month (2018-12-18). We saw no movements here in the last 2 months.

Ping. Today is Friday and the deadline is Tuesday.

Hi! Since the deadline already passed, we agreed on shutting down remaining Trusty instances on 2019-01-18. More info at https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation#Cloud_VPS_projects

This is scheduled for shutdown today

All these services are actively used, although I'm not sure who's taking care of them any more. Some of them are just a collection of scripts which run periodically on OSM data, but others require migrating (or recreating) databases etc., not a mere copying of files.

I'm copying some files to /data/scratch/osmit on Tools, hopefully all the most important things will be included. The most important might be the osmtm database from osmit-due; I'd suppose the 128 GB database copy of OSM can just be recreated from scratch (although its size suggests the next machine will need to have a bigger /srv).

Yes and I see you marked it in use in the last purge. However a project also needs to be maintained.

Mentioned in SAL (#wikimedia-cloud) [2019-01-21T16:43:11Z] <arturo> T204527 shutdown ubuntu VM instances: osmit-due osmit-tre osm-serv

aborrero closed this task as Resolved.Feb 12 2019, 4:30 PM
aborrero claimed this task.

Mentioned in SAL (#wikimedia-cloud) [2019-03-14T23:11:33Z] <bd808> Deleted osm-serv and osmit-due (T204527)

CristianCantoro added a subscriber: CristianCantoro.

Hi,

I am taking on, together with @Geofrizz and @Alessandro.palmas, the administration of these machines.

Hi Cristian,
I added you how projectadmin for these machines.
Now also you can create disasters. :-D